## org.apache.mahout.math.function
Class SquareRootFunction

    java.lang.Object
      org.apache.mahout.math.function.DoubleFunction
          org.apache.mahout.math.function.SquareRootFunction

    public final class SquareRootFunction

extends DoubleFunction

Constructor Summary
`SquareRootFunction()`

Method Summary
`double` `apply(double arg1)` Apply the function to the argument and return the result

Methods inherited from class org.apache.mahout.math.function.DoubleFunction
`isDensifying`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SquareRootFunction

    public SquareRootFunction()

Method Detail

### apply

    public double apply(double arg1)

  Description copied from class: `DoubleFunction`
  Apply the function to the argument and return the result

  Specified by:
    `apply` in class `DoubleFunction`
  Parameters:
    `arg1` - double for the argument
  Returns:
    the result of applying the function

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.